### Method

# Gtk Entryset_icon_drag_source

#### Declaration [src]

    void
    gtk_entry_set_icon_drag_source (
      GtkEntry* entry,
      GtkEntryIconPosition icon_pos,
      GdkContentProvider* provider,
      GdkDragAction actions
    )

#### Description [src]

Sets up the icon at the given position as drag source.

This makes it so that GTK will start a drag operation when the user clicks and drags the icon.

#### Parameters

`icon_pos`

  Type: `GtkEntryIconPosition`

  Icon position.

`provider`

  Type: `GdkContentProvider`

  A `GdkContentProvider`

  The data is owned by the caller of the method.

`actions`

  Type: `GdkDragAction`

  A bitmask of the allowed drag actions.